Since upgrade from 19.0.5 to 20.0.4 the app could not be updated any longer

Since the update from 19.0.5 to 20.0.4 the files_retention app is no longer supported by nextcloud.

Doing a app:update files_retention delivers an incompatibility hint.
Looking in the app Store in nextcloud, there is a red hint that it could be enabled as experimental app.

So, some users argue with that and wrote an issue at github

that there is no update for a longer period since 20.x is on the market nor a hint when the app will be compatible or if nextcloud gmbh will implement this feature into the core.

Would be very pleased if one of the developers can lift the curtain and don’t let us guess any longer :slight_smile:

Thank you!

Definitely frustrating for those relying on it, but the app is reported to work fine once re-enabled. As a volunteer effort, you cannot expect any further development on this… hopefully it will be updated. :heart:

What i am missing is, that the known nextcloud app compat check before the upgrade has not given any signal that one of the apps can not be updated.

That why i did not force any update by switching from stable to beta!!
So in this case this didn’t work for the files_retention app - and it is not clear why?

One one hand it may be not possible to expect development on this side but here we have the info in the store that the developer (group) behind this app is:

Herausgeber

Nextcloud GmbH

And what is more important, developing “Flow” does not make sense without the apps behind that delivers action by tagging files :slight_smile:

How did you re-enable it? Using the terminal - what i use normally does not offer any bypass the warning of the occ comand.

Normally there is a check for this. If it doesn’t work, this is a different bug report.

Perhaps it just wasn’t published on the app store. So you can download the version from git:

and unpack it to the apps/ folder (if there is a files_retention folder, you should delete it first).

Thanks tflidd,

i moved the files_retention folder to a backup folder first.

After that i did

git clone https://github.com/nextcloud/files_retention.git

Next i set the rights to www-data:www-data

sudo chown -R www-data:www-data /../../nextcloud/apps/files_retention

…and ran again php occ app:enable files_retention

But no success, the command still reports that the app is incompatible.

Update -> see next post what is nescessary to allow the app to use server version 20 and above…**

In my cloud i see the retention app with version number 1.10.0

And the shop says Server Version 21.x is required?

and

So where is the version between 1.8.2 and 1.10.0 that might be compatible with Server 20.x ?
But the hint to version 21.x leads into hope, that retention is actively maintained :slight_smile:

With this version i set the version number to the following to get it working
…/…/nextcloud/apps/files_retention/appinfo/info.xml

edit the followíng

	<dependencies>
		<nextcloud min-version="21" max-version="21" />
	</dependencies>

to the following
>

  <nextcloud min-version="20" max-version="21" />

after recheck of the disabled apps i could enable files_retention without any warnings :smiley:

No, please use the stable20 branch (like linked in my post above).

I downloaded the zip files from github, because with the git clone command i only could get the 1.10.0 again and again.

Now within the zip i’ve got the 1.9.0 version and enabled it after replacement in /…/…/nextcloud/apps

Today i found the following in my logfiles:

{"reqId":"XGQi2FoBfSH7s4SXxa6R","level":3,"time":"2020-12-23T16:10:02+01:00","remoteAddr":"","user":"--","app":"core","method":"","url":"--","message":{"Exception":"Error","Message":"Call to a member function getUID() on null","Code":0,"Trace":[{"file":"/var/www/nextcloud/apps/files_retention/lib/BackgroundJob/RetentionJob.php","line":151,"function":"notifyNode","class":"OCA\\Files_Retention\\BackgroundJob\\RetentionJob","type":"->"},{"file":"/var/www/nextcloud/lib/private/BackgroundJob/Job.php","line":52,"function":"run","class":"OCA\\Files_Retention\\BackgroundJob\\RetentionJob","type":"->"},{"file":"/var/www/nextcloud/lib/private/BackgroundJob/TimedJob.php","line":59,"function":"execute","class":"OC\\BackgroundJob\\Job","type":"->"},{"file":"/var/www/nextcloud/cron.php","line":127,"function":"execute","class":"OC\\BackgroundJob\\TimedJob","type":"->"}],"File":"/var/www/nextcloud/apps/files_retention/lib/BackgroundJob/RetentionJob.php","Line":236,"CustomMessage":"Error while running background job (class: OCA\\Files_Retention\\BackgroundJob\\RetentionJob, arguments: Array\n(\n [tag] => 32\n)\n)"},"userAgent":"--","version":"20.0.4.0","id":"5fe438b589f3b"}

And the tagged files for deleting by next background job are still on the server.

an issue has been opened on github

see: https://github.com/nextcloud/server/issues/24845

There is a 1.9.0 version on the apps-store: